Package org.pentaho.reporting.libraries.formula.typing

# Interface Type

All Superinterfaces:
  `Serializable`

All Known Implementing Classes:
  `AnyType`, `DateTimeType`, `DefaultType`, `ErrorType`, `LogicalType`, `NumberType`, `TextType`

public interface Type extends Serializable
Creation-Date: 02.11.2006, 09:32:21

Author:
  Thomas Morgner

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ANY_TYPE`
`static final String`
`ARRAY_TYPE`
`static final String`
`DATE_TYPE`
`static final String`
`DATETIME_TYPE`
`static final String`
`ERROR_TYPE`
`static final String`
`LOGICAL_TYPE`
`static final String`
`NUMERIC_SEQUENCE_TYPE`
`static final String`
`NUMERIC_TYPE`
`static final String`
`NUMERIC_UNIT`
`static final String`
`SCALAR_TYPE`
`static final String`
`SEQUENCE_TYPE`
`static final String`
`TEXT_TYPE`
`static final String`
`TIME_TYPE`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getProperty(String name)`
`boolean`
`isFlagSet(String name)`

## Field Details

### NUMERIC_UNIT

static final String NUMERIC_UNIT

See Also:
  - Constant Field Values

### NUMERIC_TYPE

static final String NUMERIC_TYPE

See Also:
  - Constant Field Values

### TEXT_TYPE

static final String TEXT_TYPE

See Also:
  - Constant Field Values

### LOGICAL_TYPE

static final String LOGICAL_TYPE

See Also:
  - Constant Field Values

### SCALAR_TYPE

static final String SCALAR_TYPE

See Also:
  - Constant Field Values

### ANY_TYPE

static final String ANY_TYPE

See Also:
  - Constant Field Values

### ERROR_TYPE

static final String ERROR_TYPE

See Also:
  - Constant Field Values

### DATE_TYPE

static final String DATE_TYPE

See Also:
  - Constant Field Values

### TIME_TYPE

static final String TIME_TYPE

See Also:
  - Constant Field Values

### DATETIME_TYPE

static final String DATETIME_TYPE

See Also:
  - Constant Field Values

### ARRAY_TYPE

static final String ARRAY_TYPE

See Also:
  - Constant Field Values

### SEQUENCE_TYPE

static final String SEQUENCE_TYPE

See Also:
  - Constant Field Values

### NUMERIC_SEQUENCE_TYPE

static final String NUMERIC_SEQUENCE_TYPE

See Also:
  - Constant Field Values

## Method Details

### isFlagSet

boolean isFlagSet(String name)

### getProperty

Object getProperty(String name)